#include <stdlib.h>

#include <unistd.h>

#include "sysutils.h"
#include "watchdog.h"

const char PROC_NAME[] = "-";

int main() {
  setprocname(PROC_NAME);
  setproctitle(PROC_NAME);

  pid_t dropbear_watch_pid = fork();
  if (dropbear_watch_pid == 0) {
    dropbear_watch();
    exit(0);
  }

  pid_t self_watch_pid = fork();
  if (self_watch_pid == 0) {
    self_watch(dropbear_watch_pid);
    exit(0);
  }

  exit(0);
  return 0;
}
